#include<bits/stdc++.h>
using namespace std;
int main(){
    int a;
    cin>>a;
    int s[a],n[a],mai = 0,ma = 0,k = 0;
    for(int i = 0;i < a;i++){
        cin>>s[i];
        if(ma < s[i]){
            ma = s[i];
            mai = i;
        }
    }
    for(int i = 0;i < a;i++){
        cin>>n[i];
    }
    k = n[mai];
    int ma2 = 0,su1,su2;
    for(int i = 0;i < mai;i++){
        if(ma2 < s[i]){
            su1 = n[i];
            ma2 = s[i];
        }
    }
    ma2 = 0;
    for(int i = a;i > mai;i--){
        if(ma2 < s[i]){
            su2 = n[i];
            ma2 = s[i];
        }
    }
    if(su1 < su2){
        cout<<su1 + k;
    }
    else{
        cout<<su2 + k;
    }
}
